# Uses of Interface
net.sourceforge.jiu.data.Gray16Image

Packages that use Gray16Image
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.promotion
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.data
net.sourceforge.jiu.gui.awt

## Uses of Gray16Image in net.sourceforge.jiu.codecs

Methods in net.sourceforge.jiu.codecs with parameters of type Gray16Image
Modifier and Type
Method
Description
`private void`
PNMCodec.`save(Gray16Image image)`

## Uses of Gray16Image in net.sourceforge.jiu.color.analysis

Methods in net.sourceforge.jiu.color.analysis with parameters of type Gray16Image
Modifier and Type
Method
Description
`static CoOccurrenceMatrix`
MatrixCreator.`createCoOccurrenceMatrix(Gray16Image image)`
Create a co-occurrence matrix for a 16 bit grayscale image.

## Uses of Gray16Image in net.sourceforge.jiu.color.promotion

Methods in net.sourceforge.jiu.color.promotion with parameters of type Gray16Image
Modifier and Type
Method
Description
`private void`
PromotionGray16.`process(BilevelImage in, Gray16Image out)`
`private void`
PromotionGray16.`process(Gray8Image in, Gray16Image out)`
`private void`
PromotionRGB48.`process(Gray16Image in, RGB48Image out)`

## Uses of Gray16Image in net.sourceforge.jiu.color.reduction

Methods in net.sourceforge.jiu.color.reduction with parameters of type Gray16Image
Modifier and Type
Method
Description
`private void`
AutoDetectColorType.`createGray8FromGray16(Gray16Image in)`
`private boolean`
AutoDetectColorType.`isGray16Gray8(Gray16Image in)`

## Uses of Gray16Image in net.sourceforge.jiu.data

Classes in net.sourceforge.jiu.data that implement Gray16Image
Modifier and Type
Class
Description
`class`
`MemoryGray16Image`
An implementation of `Gray16Image` that keeps the complete image in memory.

## Uses of Gray16Image in net.sourceforge.jiu.gui.awt

Methods in net.sourceforge.jiu.gui.awt with parameters of type Gray16Image
Modifier and Type
Method
Description
`static Image`
ImageCreator.`convertToAwtImage(Gray16Image image, int alpha)`
Creates an AWT Image object from a Gray16Image object and an alpha value.